Alfresco Community 5.0.d Release Notes

Document created by resplin Employee on Feb 17, 2016Last modified by afaust on Sep 26, 2016
Version 3Show Document
  • View in full screen mode

Alfresco 5.0.d Community Release

 

These release notes provide information for the 5.0.d release of Alfresco Community Edition.

We currently expect this to be the final release of Alfresco Community Edition in the 5.0 line.

The Alfresco Community 5.0.d release contains all bug fixes since the last Community 4.2 release.
See the list of the issues fixed since 4.2.e and the list of the issues fixed since 5.0.c. The list of new features in this release is on the page dedicated to Alfresco Community 5.0.

Care should be taken when upgrading any previous Alfresco Community version. Backup your Alfresco alf_data and database before upgrading, and read the documentation.

Note that the Community installer ships with JDK 1.8.0 but a minimum of Java 1.7 is required for this release.

 

Goals for this Release

Installation

Download this release from the 5.0.d File List

For download and installation instructions, refer to the Download and Install Alfresco page.

The Alfresco supplied Installers will install all you need to run Alfresco on your machine; which includes JDK, Tomcat, SOLR, Share, Google Docs integration, LibreOffice, Sharepoint module etc.

Note: JVM memory now defaults to half system memory, minimum of 2GB.

Note: latest OS patches are always recommended.

 

Prerequisites for manual install

  • DB: MySQL 5.6 or PostgreSQL 9.3.6
  • App Server: Tomcat 7.0.59
  • Java Version: JDK 8 (installer shipped with JDK 1.8.0_31)
  • LibreOffice 4.2.5

Schema Changes

No major changes.

 

Known Issues

  • We intended this release to support Java 7 and Java 8, but we accidentally introduced into the Solr4 WAR a reference that only works in Java 8. If you must run with Java 7, you can compile this WAR yourself. See ALF-21333 for details. Note: It appears that running 5.0.d under Java 7 also produces a problem with Records Management. See ALF-21333.
  • Solr 4 will be required going forward to use all new features in Share Search screen - Lucene sub-system is deprecated and if selected as the Search sub-system via a manual WAR file install route, will cause a lot of search related screens and pickers to produce no results.
  • Some of the files that used to be available for edit in the alfresco.war (such as repository.properties) are now inside JAR files (due to the structure of the maven build). This means they will not be as obvious as they were in 4.2 for editing. They can be overridden in the usual way, or extracted if you prefer. Details are in ACE-3025
  • If upgrading from 4.x, pay attention to the list of features removed from Alfresco_Community_5.0.

 

Please refer to Alfresco JIRA system known issues in Community 5.0

Public SVN revision number for Alfresco Community 5.0.d is revision 99541 as TAGS/COMMUNITY/V5.0.d

Attachments

    Outcomes